<?php
namespace Magento\PaymentServicesPaypal\Block\Adminhtml\Form\AdminHostedFields;

/**
 * Interceptor class for @see \Magento\PaymentServicesPaypal\Block\Adminhtml\Form\AdminHostedFields
 */
class Interceptor extends \Magento\PaymentServicesPaypal\Block\Adminhtml\Form\AdminHostedFields implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\PaymentServicesPaypal\Model\Adminhtml\SdkParams $sdkParams, \Magento\PaymentServicesPaypal\Model\Config $config, \Magento\Framework\UrlInterface $url, \Magento\Backend\Model\Session\Quote $sessionQuote, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $sdkParams, $config, $url, $sessionQuote, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
